Subject: Re: Broken Firewire 400/SCSI on ppc Powerbook5,8

From: Bill Fink <[email-masked]>
Date: Fri, 18 Aug 2006 01:28:24 -0400

Hi Wolfgang,

On Fri, 18 Aug 2006, Wolfgang Pfeiffer wrote:

> Hi All
> 
> Short version first:
> 
> The SCSI/FW routines seem to work like a charm with a LSILogic Model/
> SYM13FW500-Disk on my old Macintosh titanium-IV laptop, with exactly
> the same relatively fresh git-kernel that does not work on the
> PowerBook5,8.  That is I compiled the kernel on the Apple Powerbook5,8
> and installed it on both machines.
> 
> 
> SCSI/FW didn't work ever on the new PowerBook5,8.
> 
> I'll give you first some error messages for the failing FW disk,
> and at the end of this mail you'll find links to technical
> documentation for the 2 failng machines (Powerbook5,8 and FW board/disk)
> 
> First I load the drivers with this little script:
> 
> ------------------------------------------
> #!/bin/sh -x
> /bin/sh -n /home/shorty/scripts/scsi.start.sh && \
> 
> modprobe raw1394 && \
> modprobe ieee1394 disable_irm=0 disable_nodemgr=1 && \
> modprobe ohci1394 && \
> modprobe eth1394 && \
> modprobe sbp2 max_speed=3 workarounds=0x1 serialize_io=0 && \
> sleep 4 && \
> chown root.shorty /dev/raw1394
> -------------------------------------------

I don't know if it matters for you (haven't tried Firewire yet on
a PowerBook), but on my desktop PowerMac systems, I need a "sleep 2"
before the modprobe for sbp2, to get my Firewire disks to work
properly.

						-Hope this helps

						-Bill